#! /bin/sh

DESC="SubTitle Command Scheduler"
NAME=bullz_text

case "$1" in
    start)
        echo -n "starting $DESC: $NAME... "
	if [ -x /var/bin/bullz_text ]; then
	    /var/bin/bullz_text
	    if [ $? = 0 ]; then
	        echo "done."
	    else
		echo "Is already running. (or error)"
	    fi
	else
	    echo fail
	fi
        ;;
    stop)
        echo -n "stopping $DESC: $NAME... "
	if [ -x /var/bin/bullz_text ]; then
	    /var/bin/bullz_text -k
	    if [ $? = 0 ]; then
	        echo "done."
	    else
		echo "Failed."
	    fi
        else
	    echo "Failed."
        fi
        ;;
    restart)
        echo "restarting $DESC: $NAME... "
        $0 stop
        $0 start
        echo "done."
        ;;
    status)
        echo "getting status $DESC: $NAME... "
        echo "Not implemented yet",
        echo "done."
        ;;
    *)
        echo "Usage: $0 {start|stop|restart|status}"
        exit 1
        ;;
esac

exit 0
